<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/teclado-multilinea.php');
include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');
include($rutaPhp.$rutaHtml.'/librerias/calendario.php');


if($_SESSION['parametrosSGA']['ControlPesajeRecepcion']=='S') {

	
	$gestion=$_SESSION['gestion'];
	
	
	
	if($_GET['traza']=='si') {
		echo '<p>Sesion tipoLogistica: '.$_SESSION['descargaPalets']['tipoLogistica'].'</p>';
	}
	
	$_SESSION['descargaPalets']['proveedores']=array();
	
	//if( ( $_POST && !isset($_GET['reinicio']) ) || $_SESSION['descargaPalets']['tipoLogistica'] ) {
	if( $_POST ) {
	
		$continuar=true;
	
		if($_POST['confirmarAceptarCarga']==1) {
		
			$continuar=false;
		
			$_SESSION['descargaPalets']['proveedor']=$_POST['proveedor'];
			$_SESSION['descargaPalets']['carga']=$_POST['carga'];
			$_SESSION['descargaPalets']['fechaRecepcion']=$_POST['fechaRecepcion'];
			$_SESSION['descargaPalets']['documentoProv']=$_POST['documentoProv'];
			$_SESSION['descargaPalets']['fechaDocumentoProv']=$_POST['fechaDocumentoProv'];
			$_SESSION['descargaPalets']['cantidadPalets']=$_POST['cantidadPalets'];
			
			$_SESSION['descargaPalets']['impresoraSeleccionada']=$_POST['impresora'];
			
			$peticion='WSRecepcionComprasTablet#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#RECEPCIONPREVIA#'.$_SESSION['almacen'].';'.fechaParaProxium(fechaMysql($_SESSION['descargaPalets']['fechaRecepcion'])).';'.base64_encode($_SESSION['descargaPalets']['documentoProv']).';'.fechaParaProxium(fechaMysql($_SESSION['descargaPalets']['fechaDocumentoProv'])).';'.$_SESSION['descargaPalets']['carga'].';'.$_SESSION['descargaPalets']['proveedor'].';'.$_SESSION['descargaPalets']['cantidadPalets'].';'.$_SESSION['descargaPalets']['impresoraSeleccionada'];
			
			$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
			
			if($_GET['traza']=='si') {
				echo "<p>".$peticion."</p>";
				print_r($resultado);
			}
			
			//$resultado[0]['Error']='1#Error';
			//$resultado[0]['Error']='0#Vale';
			
			$valores=explode('#',$resultado[0]['Error']);
			
			if($valores[0]=='0') {
				?>
				<script>
					alert('<?php echo $valores[1]; ?>',null,'ok')
					.done(function(){
						$('#popupCargando').show();
						window.location='entradas-descarga-palets-etiquetas.php';
					});
				</script>
				<?php
			}
			else {
			
				$continuar=true;
			
				?>
				<script>
					alert('<?php echo $valores[1]; ?>',null,'error');
				</script>
				<?php
			}
		
		}
		
		if( $continuar && ( isset($_POST['tipoLogistica']) || $_SESSION['descargaPalets']['tipoLogistica'] ) ) {
			
			if(isset($_POST['tipoLogistica'])) $_SESSION['descargaPalets']['tipoLogistica']=$_POST['tipoLogistica'];
			
			$peticion='WSRecepcionComprasTablet#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#PEDIDOSCARGAPENDIENTES#'.$_SESSION['almacen'].';'.$_SESSION['descargaPalets']['tipoLogistica'];
			$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
			if($_GET['traza']=='si') {
				echo "<p>".$peticion."</p>";
				print_r($resultado);
			}
			
			$cargas=arreglaArrayPXMobileProxiumResult($resultado[0]['RecepcionesPendientes']);
			
			foreach($cargas as $carga) {
				$cargaTemp=array('CargaCamion'=>$carga['CargaCamion'],'CargaCamionDescripcion'=>$carga['CargaCamionDescripcion']);
				if( !array_key_exists($carga['ProveedorCodigo'],$_SESSION['descargaPalets']['proveedores']) ) {
					$_SESSION['descargaPalets']['proveedores'][$carga['ProveedorCodigo']]=array(
						'ProveedorNombre'=>$carga['ProveedorNombre'],
						'Cargas'=>array($cargaTemp)
					);
				}
				else {
					$_SESSION['descargaPalets']['proveedores'][$carga['ProveedorCodigo']]['Cargas'][]=$cargaTemp;
				}
			}
			
			//print_r($_SESSION['descargaPalets']['proveedores']);
		
			if($_SESSION['descargaPalets']['tipoLogistica']=='PRI') $titulo='Carga';
			else $titulo='Entrada';
			
			$peticion='ConsultaDocumentosImprimir#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$_SESSION['almacen'].'#ETIQUETASRECEPCION';
			$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
			if($_GET['traza']=='si') {
				echo "<p>".$peticion."</p>";
				print_r($resultado);
			}
			
			//$_SESSION['descargaPalets']['impresoraSeleccionada']=$resultado[0]['Documentos']['Impresora'];
			$_SESSION['descargaPalets']['impresoras']=arreglaArrayPXMobileProxiumResult($resultado[0]['Impresoras']);
			
			if($_GET['traza']=='si') {
				print_r($_SESSION['descargaPalets']['impresoras']);
				echo "<p>Impresora seleccionada: ".$_SESSION['descargaPalets']['impresoraSeleccionada']."</p>";
			}
			
			if(!$_SESSION['descargaPalets']['impresoraSeleccionada']) {
				
				$_SESSION['descargaPalets']['impresoraSeleccionada']=$resultado[0]['Documentos']['PXMobileProxiumResult']['Impresora'];
				
				if($_GET['traza']=='si') {
					echo "<p>Impresora predeterminada: ".$_SESSION['descargaPalets']['impresoraSeleccionada']."</p>";
				}
				
			}
			
			
			
		}
		
		//WSRecepcionComprasTablet#AL#PMO#RECEPCIONPREVIA#ALMACEN;FECHARECEP;DOCUMENTOPROV;FECHADOCUMENTO;CARGA;CODIGOPROVEE;CANTIDADPALETS
	
	}
	else {
	
		unset($_SESSION['descargaPalets']);
	
	}
	
	?>
	
	<h2>Descarga: imprimir etiquetas de palets</h2>
	
  <form id="formularioTipoLogistica" name="formularioTipoLogistica" method="post" action="">
	
		<?php if( $gestion=='PUBPRI' ) { ?>
			<p><input name="tipoLogistica" type="radio" class="checkGrande tipoLogistica" id="logisticaPrivada" style="position:relative;top:6px" value="PRI" <?php if($_SESSION['descargaPalets']['tipoLogistica']=='PRI') { ?>checked="checked"<?php } ?>/> Logistica privada <input type="radio" name="tipoLogistica" id="logisticaPublica" value="PUB" class="checkGrande tipoLogistica" style="position:relative;top:6px;margin-left:20px;" <?php if($_SESSION['descargaPalets']['tipoLogistica']=='PUB') { ?>checked="checked"<?php } ?>/> Logística pública</p>
		<?php } else { ?>
			<input type="hidden" name="tipoLogistica" id="logisticaPrivada" value="PRI" />
		<?php } ?>
	
	</form>
	
	<?php if(count($_SESSION['descargaPalets']['proveedores'])>0) { ?>
	
	<form id="formularioCargas" name="formularioCargas" method="post" action="">
	
		<p>Proveedor:<br />
		<select id="proveedor" name="proveedor" class="campo">
			<option value="">---</option>
			<?php foreach($_SESSION['descargaPalets']['proveedores'] as $codigo=>$proveedor) { ?>
			<option value="<?php echo $codigo; ?>" <?php if($_SESSION['descargaPalets']['proveedor']==$codigo) { ?>selected<?php } ?>><?php echo $proveedor['ProveedorNombre']; ?></option>
			<?php } ?>
		</select>
		</p>
		
		<div id="capaCarga" <?php if(!$_SESSION['descargaPalets']['proveedor']) { ?>style="display:none"<?php } ?>>
		
			<p><?php echo $titulo; ?>:<br />
			<select id="carga" name="carga" class="campo">
			</select>
			</p>
			
			<div id="capaCargaDatos" style="display:none">
			
				<table class="tablaFormateada">
					<tr>
						<th colspan="2">Datos de la descarga</th>
					</tr>
					<tr>
						<td align="lefr">Fecha recepción:</td><td><input type="text" id="fechaRecepcion" name="fechaRecepcion" class="campo fecha" value="<?php echo date('d/m/Y'); ?>"/></td>
					</tr>
					<tr>
						<td align="lefr">Ref. documento proveedor:</td><td><input type="text" id="documentoProv" name="documentoProv" class="campo texto" value="<?php echo $_SESSION['descargaPalets']['documentoProv']; ?>" /></td>
					</tr>
					<tr>
						<td align="lefr">Fecha documento:</td><td><input type="text" id="fechaDocumentoProv" name="fechaDocumentoProv" class="campo fecha" value="<?php echo $_SESSION['descargaPalets']['fechaDocumentoProv']; ?>"/></td>
					</tr>
					<tr>
						<td align="lefr">Cantidad de palets:</td><td><input type="text" id="cantidadPalets" name="cantidadPalets" class="campo cantidad" value="<?php echo $_SESSION['descargaPalets']['cantidadPalets']; ?>"/></td>
					</tr>
				</table>
				
				<p>Impresora:<br />
				<select id="impresora" name="impresora" class="campo">
					<option value="">---</option>
					<?php foreach($_SESSION['descargaPalets']['impresoras'] as $impresora) { ?>
					<option value="<?php echo $impresora['Impresora']; ?>" <?php if($impresora['Impresora']==$_SESSION['descargaPalets']['impresoraSeleccionada']) { ?>selected<?php } ?>><?php echo $impresora['Impresora']; ?></option>
					<?php } ?>
				</select>
				</p>
			
				<p><input type="button" id="botonAceptarCarga" name="botonAceptarCarga" class="campo boton" value="ACEPTAR"/></p>
				<input type="hidden" id="confirmarAceptarCarga" name="confirmarAceptarCarga" value="" />
			
			</div>
			
			<p><input type="button" id="botonCancelarCarga" name="botonCancelarCarga" class="campo boton reducido" value="Cancelar"/></p>
		
		</div>
	
	</form>
	
	<?php } ?>
	
	
	<script>
	
	var cargasProveedor=new Array();
	
	<?php foreach($_SESSION['descargaPalets']['proveedores'] as $codigo=>$proveedor) { ?>
		cargasProveedor['<?php echo $codigo; ?>']=new Array();
		<?php foreach($proveedor['Cargas'] as $carga) { ?>
		cargasProveedor['<?php echo $codigo; ?>'].push( new Array('<?php echo $carga['CargaCamion']; ?>','<?php echo addslashes($carga['CargaCamionDescripcion']); ?>') );
		<?php } ?>
	<?php } ?>
	
	function validaDescarga() {
	
		$('.campo').removeClass('campoError');
	
		if( !$('#fechaRecepcion').val() ) {
			alert('Es obligatorio indicar la fecha de la recepción.',$('#fechaRecepcion'),'error');
			$('#fechaRecepcion').addClass('campoError');
			return false;
		}
		else if( !$('#documentoProv').val() ) {
			alert('Por favor, informa la referencia del documento del proveedor.',$('#documentoProv'),'error');
			$('#documentoProv').addClass('campoError');
			return false;
		}
		else if( !$('#fechaDocumentoProv').val() ) {
			alert('Por favor, informa la fecha que consta en el documento del proveedor.',$('#fechaDocumentoProv'),'error');
			$('#fechaDocumentoProv').addClass('campoError');
			return false;
		}
		else if( !$('#cantidadPalets').val() ) {
			alert('Para la impresión de las etiquetas, es obligatorio indicar cuántos palets se van a descargar.',$('#cantidadPalets'),'error');
			$('#cantidadPalets').addClass('campoError');
			return false;
		}
		else if( !$('#impresora').val() ) {
			alert('Por favor, selecciona la impresora por la que quieres imprimir las etiquetas.',$('#impresora'),'error');
			$('#impresora').addClass('campoError');
			return false;
		}
		else return true;
	
	}
	
	$(document).ready(function() {
	
		$('.tipoLogistica').on('click',function(){
		
			$('#popupCargando').show();
			$('#formularioTipoLogistica').submit();
		
		});
		
		$('#proveedor').on('change',function(){
		
			var proveedor=$(this).val();
			var cuantasCargas=cargasProveedor[proveedor].length;
			var cadena='';
			
			$('#carga').html('');
			
			//console.log('provedor: '+proveedor+' cuantas: '+cuantasCargas);
			
			if(cuantasCargas==1) {
				$('#capaCargaDatos').show();
			}
			else {
				cadena='<option value="" selected>---</option>';
				$('#carga').append(cadena);
			}
			
			for(var i=0;i<cuantasCargas;i++) {
				cadena='<option value="'+cargasProveedor[proveedor][i][0]+'"';
				if(cuantasCargas==1) cadena+=' selected';
				cadena+='>'+cargasProveedor[proveedor][i][1]+'</option>';
				$('#carga').append(cadena);
			}
			
			$('#capaCarga').show();
		
		});
		
		$('#carga').on('change',function(){
			$('#capaCargaDatos').show();
		});
		
		$('#botonAceptarCarga').on('click',function(){
		
			if( validaDescarga() ) {
			
				$('#confirmarAceptarCarga').val(1);
		
				$('#popupCargando').show();
				$('#formularioCargas').submit();
				
			}
			
		});
		
		$('#botonCancelarCarga').on('click',function(){
		
			$('#popupCargando').show();
			window.location='entradas-descarga-palets-etiquetas.php?reinicio=si';
			
		});
		
		$('.texto').on("click",function(e) {	
			$('#teclado').show();
			$('#valor').val( $(this).val() );
			$('#valorOculto').val( $(this).val() );
			$('#enter').attr('campoValor',$(this).attr('id') );
			$('#enter').attr('forzarEnter','si');
		});
		
		$('.cantidad').on("click",function(e) {
			$('#calculadora').show();
			$('#valorCalculadora').val( $(this).val() );
			$('#enterCalculadora').attr('campoValor',$(this).attr('id'));
		});
		
		$('.fecha').on("click",function(e) {
			$('#calendario').show();
			$('#valorCalendario').val( $(this).val() );
			deconstruyeFecha();
			$('#enterCalendario').attr('campoValor',$(this).attr('id'));
			$('#enterCalendario').attr('forzarEnter','si');
		});
		
		<?php if($_SESSION['descargaPalets']['proveedor']) { ?>
		$('#proveedor').trigger('change');
		<?php } ?>
	
	});
	
	</script>
	
	<?php
}
else include($rutaPhp.$rutaHtml.'/maqueta/error.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
